Description

Just like particles can have presimulation, ambient
sounds should have that too. Or they should start
playing immediately after level startup. Now they just
wait for the min/max intervals to launch them.

Pitch/Volume variations. It's just waste of space to

make them with a wav editor program. | know this can be
done with the Link definitions in the sound

definitions. | think it would be better, if it could be

done in the sector type definition.

Sound radius. It's just stupid that the small computer
makes so loud sounds, you can hear them miles away...
Then the sound can be loud, but you can be only hear
it, when your close enough to the sound source. Within
the radius the sound is at the max volume and outside
the radius it smoothly gets silent.

To make one sound even more different than the original
sound without changing it with a wav editor,
LFO/Modulation! The modulation could be done like the
other sector functions, or just some predefined
waveforms, like sine, tri, square... Whatever way it's
done, users should be able to define the modulation
rate(and to make it even more freakier, the rate could

be modulated too!).

If the pitch is modulated/changed, it might be hard to
know how long the sound is.. and that would bring some
trouble into looping sounds. Instead of using the
min/max intervals to specify the loop lenght or the
sf_repeat sound flag, there could be some flag in the
sector type that makes the sound looping.

Labels: Sound

Related issues:
Related to Feature #1266: Sound decorations
Has duplicate Feature #1528: A distance field for sound defs

New
Closed

2003-08-16
2011-03-25

History

#1 - 2005-04-09 21:58 - picklebro

Logged In: YES
user_id=1249988

| agree with all of the above and if implemented would like
these features available to particle sounds as well.

This would allow the creation of truly immersive environments.

| would also like to see doppler effect available as well to
increase realism.
#2 - 2013-10-21 17:24 - skyjake
- Tags set to SFX, Audio

- Subject changed from Some stuff for ambient sounds to Improved ambient sounds

- Category set to Enhancement

#3 - 2019-11-29 16:45 - skyjake

- Target version set to Modding
